# -*- coding: utf-8 -*-
'''
NetworkDesign/mod_flow/ModFlow

@author: Bela Genge
'''

from mod_element import ModElement

class ModFlow(ModElement):
    '''
    '''
    FPSZ    = 'FPSZ' # Flow packet size
    FPRT    = 'FPRT' # Flow packet rate
    FACC    = 'FACC' # Flow access node
    FEGG    = 'FEGG' # Flow egress node
    FSRCID  = 'FSRCID' # Flow source ID in NS file
    FSINKID = 'FSINKID' # Flow sink ID in NS file
    DEM     = 'DEM' # Demand value
    ACCSEC  = 'ASEC' # Access security requirement
    EGGSEC  = 'ESEC' # Egress security requirement
    FSECC   = 'FSECC' # Flow security conduit
    FLAT    = 'FLAT' # Maximum tolerated latency

    def __init__(self, name):
        '''
        Constructor
        '''
        super(ModFlow, self).__init__(name)

        self.__secur = []


    # Override setProp to make sure that we have certain properties stored
    def setProp(self, prop, name = None):

        # Call function from super-class
        super(ModFlow, self).setProp(prop, name)


    def setSecurProp(self, prop):

        self.__secur = prop


    def getSecurProp(self):

        return self.__secur
