# -*- coding: utf-8 -*-
'''
OptimFlow/mod_link/ModLink

@author: Bela Genge
'''

from mod_element import ModElement

class ModLink(ModElement):
    '''
    '''
    CONCOST = 'CONC' # Elementary security conduit cost
    LCOST   = 'LC'   # The unitary cost of bandwidth
    LN1     = 'LN1'  # Node 1 of link
    LN2     = 'LN2'  # Node 2 of link
    LCAP    = 'LCAP' # Link capacity
    LLAT    = 'LLAT' # Link latency

    def __init__(self, name):
        '''
        Constructor
        '''
        super(ModLink, self).__init__(name)

        self.__secur = []


    # Override version from super class
    def setProp(self, prop, name = None):

        # Store properties
        super(ModLink, self).setProp(prop, name)


    def setSecurProp(self, prop):

        self.__secur = prop

    def getSecurProp(self):

        return self.__secur
