# -*- coding: utf-8 -*-
'''
NetworkDesign/mod_solution/SolConstants

@author: Bela Genge
'''

COS_WIDTH = '70'
COS_HEIGHT = '30'
COS_FILL = '#FFFFFF'
COS_FILLZ1 = '#00FF00'
COS_FILLZ2 = '#FFFF00'
COS_FILLZ3 = '#FF0000'
COS_SHAPE = 'rectangle'

REG_WIDTH = '50'
REG_HEIGHT = '50'
REG_FILL = '#87CEEB'
REG_SHAPE = 'circle'

LINE_TYPE = 'line'
LINE_COL = '#000000'
LINE_COLCON1 = '#00FF00'
LINE_COLCON2 = '#FFFF00'
LINE_COLCON3 = '#FF0000'
LINE_W = '1.0'
LINE_WCON1 = '2.0'
LINE_WCON2 = '3.0'
LINE_WCON3 = '4.0'


IXML_NID = 'NODEID'
IXML_NT = 'NODETEXT'
IXML_NH = 'NODEHEIGHT'
IXML_NW = 'NODEWIDTH'
IXML_NF = 'NODEFILL'
IXML_NS = 'NODESHAPE'

IXML_EID = 'EDGEID'
IXML_ESRC = 'EDGESRC'
IXML_EDST = 'EDGEDST'
IXML_ETYPE = 'ELINETYPE'
IXML_ELAB = 'EDGELABEL'
IXML_ECOLOR = 'EDGECOLOR'
IXML_EWIDTH = 'EDGEWIDTH'

XML_START = ('<?xml version="1.0" encoding="UTF-8" standalone="no"?>\n'
  '<graphml xmlns="http://graphml.graphdrawing.org/xmlns" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:y="http://www.yworks.com/xml/graphml" xmlns:yed="http://www.yworks.com/xml/yed/3" xsi:schemaLocation="http://graphml.graphdrawing.org/xmlns http://www.yworks.com/xml/schema/graphml/1.1/ygraphml.xsd">\n'
  '<!--Created by yEd 3.12-->\n'
  '<key for="graphml" id="d0" yfiles.type="resources"/>\n'
  '<key for="port" id="d1" yfiles.type="portgraphics"/>\n'
  '<key for="port" id="d2" yfiles.type="portgeometry"/>\n'
  '<key for="port" id="d3" yfiles.type="portuserdata"/>\n'
  '<key attr.name="url" attr.type="string" for="node" id="d4"/>\n'
  '<key attr.name="description" attr.type="string" for="node" id="d5"/>\n'
  '<key for="node" id="d6" yfiles.type="nodegraphics"/>\n'
  '<key attr.name="Description" attr.type="string" for="graph" id="d7"/>\n'
  '<key attr.name="url" attr.type="string" for="edge" id="d8"/>\n'
  '<key attr.name="description" attr.type="string" for="edge" id="d9"/>\n'
  '<key for="edge" id="d10" yfiles.type="edgegraphics"/>\n'
  '<graph edgedefault="directed" id="G">\n'
  '<data key="d7"/>\n')

XML_END = (' </graph>\n'
  '<data key="d0">\n'
  '<y:Resources/>\n'
  '</data>\n'
  '</graphml>\n')

XML_NODE = ('<node id="' + IXML_NID + '">\n'
     ' <data key="d6">\n'
       ' <y:ShapeNode>\n'
         ' <y:Geometry height="' + IXML_NH + '" width="' + IXML_NW + '" x="126.0" y="133.0"/>\n'
        '  <y:Fill color="' + IXML_NF + '" transparent="false"/>\n'
        '  <y:BorderStyle color="#000000" type="line" width="1.0"/>\n'
       '   <y:NodeLabel alignment="center" autoSizePolicy="content" fontFamily="Dialog" fontSize="12" fontStyle="plain" hasBackgroundColor="false" hasLineColor="false" height="4.0" modelName="custom" textColor="#000000" visible="true" width="4.0" x="13.0" y="13.0">'+IXML_NT+'<y:LabelModel>\n'
     '         <y:SmartNodeLabelModel distance="4.0"/>\n'
     '       </y:LabelModel>\n'
     '       <y:ModelParameter>\n'
     '         <y:SmartNodeLabelModelParameter labelRatioX="0.0" labelRatioY="0.0" nodeRatioX="0.0" nodeRatioY="0.0" offsetX="0.0" offsetY="0.0" upX="0.0" upY="-1.0"/>\n'
      '      </y:ModelParameter>\n'
     '    </y:NodeLabel>\n'
     '     <y:Shape type="' + IXML_NS + '"/>\n'
    '    </y:ShapeNode>\n'
    '  </data>\n'
   ' </node>\n')

XML_EDGE = ('<edge id="EDGEID" source="EDGESRC" target="EDGEDST">\n'
     ' <data key="d9"/>\n'
     ' <data key="d10">\n'
     '   <y:PolyLineEdge>\n'
     '     <y:Path sx="0.0" sy="0.0" tx="0.0" ty="0.0"/>\n'
     '     <y:LineStyle color="'+IXML_ECOLOR+'" type="'+IXML_ETYPE+'" width="'+IXML_EWIDTH+'"/>\n'
      '    <y:Arrows source="none" target="none"/>\n'
      '     <y:EdgeLabel alignment="center" configuration="AutoFlippingLabel" distance="2.0" fontFamily="Dialog" fontSize="12" fontStyle="plain" hasBackgroundColor="false" hasLineColor="false" height="18.701171875" modelName="custom" preferredPlacement="anywhere" ratio="0.5" textColor="#000000" visible="true" width="44.01953125" x="-52.009765625" y="1.149414062499993">'+IXML_ELAB+'<y:LabelModel>\n'
     '         <y:SmartEdgeLabelModel autoRotationEnabled="false" defaultAngle="0.0" defaultDistance="10.0"/>\n'
     '       </y:LabelModel>\n'
     '       <y:ModelParameter>\n'
     '         <y:SmartEdgeLabelModelParameter angle="0.0" distance="30.0" distanceToCenter="true" position="right" ratio="0.5" segment="0"/>\n'
     '       </y:ModelParameter>\n'
     '       <y:PreferredPlacementDescriptor angle="0.0" angleOffsetOnRightSide="0" angleReference="absolute" angleRotationOnRightSide="co" distance="-1.0" frozen="true" placement="anywhere" side="anywhere" sideReference="relative_to_edge_flow"/>\n'
     '     </y:EdgeLabel>\n'
      '    <y:BendStyle smoothed="false"/>\n'
     '   </y:PolyLineEdge>\n'
     ' </data>\n'
   ' </edge>\n')
